Subject: RE: SPF and SenderID /MARID comparisons

From: "Olson, Margaret" <[email-masked]>
Date: Tue, 15 Jun 2004 12:43:49 -0400

> I don't understand this at all.  To the best of my knowledge, there is
> no semantic difference between the SenderID and SPFv1 records.  They
> both have the same features and use the same algorithm.  The only
> difference is the syntax.  Granted, the syntax difference may (but by
> no means must) allow for future differences in semantics, but until
> that happens, they are, as Jim Lyon pointed out, isomorphic.

Maybe I'm misunderstanding something. Isn't SPF v1 checking the 2821
MAIL-FROM and SenderID checking the SUBMITTER? For an incredible amount
of mail these are not the same thing; the MAIL-FROM is the bounce and
error handler, and the SUBMITTER is the same as the 2822 from (or the
forwarder or the mail server). The MAIL-FROM and the SUBMITTER will
generally be the same for person to person mail, but are not likely to
be the same for either volume or transactional mailings. 

A cruise through the headers in my personal mail inbox regularly shows a
rich variety of domain combinations in the return-path and from fields. 

Margaret.